Market value

Vehicle Market Value (v1)

Get the market value of a vehicle by VIN, including retail, trade-in and auction values.


Checking account...
GET
/marketvalue

Get the market value of a vehicle by VIN, including retail, trade-in and auction values.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

vin*string

The 17 character long vehicle identification number.

format?string

The format of the response. One of json or xml.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/marketvalue \  -d key=CARSXE_API_KEY \  -d vin=WBAFR7C57CC811956
{
  "retail": "16075",
  "tradeIn": "13575",
  "roughTradeIn": "10250",
  "averageTradeIn": "12050",
  "loanValue": "12225",
  "uid": 1172227,
  "msrp": "52250",
  "tradeInValues": [
    {
      "date": "2018-08-01T00:00:00.000Z",
      "value": "13575"
    },
    {
      "date": "2018-07-01T00:00:00.000Z",
      "value": "13600"
    }
  ],
  "auctionValues": {
    "lowAuctionValue": 9050,
    "averageAuctionValue": 11925,
    "highAuctionValue": 14825,
    "dateRange": "8/6/2018 - 8/12/2018"
  }
}
{
  "success": false,
  "message": "Missing vin (vehicle identification number)"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "No data found for this VIN"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Internal server error"
}